Module | Sequel::JDBC::Transactions
In: | lib/sequel/adapters/jdbc/transactions.rb

### Methods

supports_savepoints?

### Constants

TRANSACTION_BEGIN | = | 'Transaction.begin'.freeze
TRANSACTION_COMMIT | = | 'Transaction.commit'.freeze
TRANSACTION_RELEASE_SP | = | 'Transaction.release_savepoint'.freeze
TRANSACTION_ROLLBACK | = | 'Transaction.rollback'.freeze
TRANSACTION_ROLLBACK_SP | = | 'Transaction.rollback_savepoint'.freeze
TRANSACTION_SAVEPOINT | = | 'Transaction.savepoint'.freeze

### Public Instance methods

supports_savepoints?()

Check the JDBC DatabaseMetaData for savepoint support

[Source]

        # File lib/sequel/adapters/jdbc/transactions.rb, line 12
    12:       def supports_savepoints?
    13:         return @supports_savepoints if defined?(@supports_savepoints)
    14:         @supports_savepoints = synchronize{|c| c.get_meta_data.supports_savepoints}
    15:       end

[Validate]